System requirements

From Terminal Conflict Wiki
Jump to: navigation, search

The following are the minimum and recommended system requirements for Terminal Conflict. While these requirements do not represent a guaranteed working configuration, meeting the minimum requirements should ensure at least a launch-able environment.

Recommended requirements[edit | edit source]

  • Windows 7 64 bit, Mac OS X, or Ubuntu 16.04 LTS (or newer)
  • 2 GHz multicore processor
  • Min. 500 MB VRAM graphics card (2 GB for convenient gaming)
  • 2 GB disk space
  • Broadband connection for online play

See also[edit | edit source]